> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Onboarded Status to True

> Set an employee as onboarded.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/setOnboardedStatusToTrue
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/setOnboardedStatusToTrue:
    post:
      summary: Set Onboarded Status to True
      description: Set an employee as onboarded.
      operationId: set-onboarded-status-to-true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - employeeID
                - companyID
              properties:
                employeeID:
                  type: string
                  description: ID of the Employee being updated
                companyID:
                  type: string
                  description: ID of the employer that the employee belongs to
            examples:
              Request Example:
                value:
                  employeeID: 62350595e7f1225023b3b824
                  companyID: 24b5b29f07924840b119c34c13522940c
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      employeeID: 633c323231018d840022913ca6
                      companyID: 2cb5b29f0792634128c34c1358940c
                      onboarded: true
                      employment_status: live
                      first_name: Erlich
                      middle_initial: null
                      last_name: Bachman
                      title: '4345'
                      start_date: '2019-11-01'
                      term_date: null
                      working_state: CA
                      workLocationID: 6142deeb548f55223a0c67
                      dob: '1825-10-02'
                      email: erlich@test.com
                      address: 1 Ferry Building
                      address_line2: ''
                      city: San Francisco
                      state: CA
                      zip: '94105'
                      phone_number: '12345'
                      default_pay_schedule: weekly
                      default_wage: 5
                      default_ot_wage: 100
                      default_dt_wage: 100
                      ssn: '000000000'
                      autopilot:
                        autopilot_on: true
                        salary: 30000
                        salary_firstDate: '2022-10-06'
                      is_943: true
                      is_scheduleH: false
                      metadata: {}
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      employeeID:
                        type: string
                        example: 633c323231018d840022913ca6
                      companyID:
                        type: string
                        example: 2cb5b29f0792634128c34c1358940c
                      onboarded:
                        type: boolean
                        example: true
                        default: true
                      employment_status:
                        type: string
                        example: live
                      first_name:
                        type: string
                        example: Erlich
                      middle_initial:
                        path: /orders-4
                      last_name:
                        type: string
                        example: Bachman
                      title:
                        type: string
                        example: '4345'
                      start_date:
                        type: string
                        example: '2019-11-01'
                      term_date:
                        path: /orders-4
                      working_state:
                        type: string
                        example: CA
                      workLocationID:
                        type: string
                        example: 6142deeb548f55223a0c67
                      dob:
                        type: string
                        example: '1825-10-02'
                      email:
                        type: string
                        example: erlich@test.com
                      address:
                        type: string
                        example: 1 Ferry Building
                      address_line2:
                        type: string
                        example: ''
                      city:
                        type: string
                        example: San Francisco
                      state:
                        type: string
                        example: CA
                      zip:
                        type: string
                        example: '94105'
                      phone_number:
                        type: string
                        example: '12345'
                      default_pay_schedule:
                        type: string
                        example: weekly
                      default_wage:
                        type: integer
                        example: 5
                        default: 0
                      default_ot_wage:
                        type: integer
                        example: 100
                        default: 0
                      default_dt_wage:
                        type: integer
                        example: 100
                        default: 0
                      ssn:
                        type: string
                        example: '000000000'
                      autopilot:
                        type: object
                        properties:
                          autopilot_on:
                            type: boolean
                            example: true
                            default: true
                          salary:
                            type: integer
                            example: 30000
                            default: 0
                          salary_firstDate:
                            type: string
                            example: '2022-10-06'
                      is_943:
                        type: boolean
                        example: true
                        default: true
                      is_scheduleH:
                        type: boolean
                        example: false
                        default: true
                      metadata:
                        type: object
                        properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee is already onboarded
                        status: 400
                        code: 38
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee is already onboarded
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 38
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````